org.apache.commons.math3.stat.clustering

## Enum DBSCANClusterer.PointStatus

- java.lang.Object
- - java.lang.Enum<DBSCANClusterer.PointStatus>
  - - org.apache.commons.math3.stat.clustering.DBSCANClusterer.PointStatus

All Implemented Interfaces:
  Serializable, Comparable<DBSCANClusterer.PointStatus>

Enclosing class:
  DBSCANClusterer<T extends Clusterable<T>>

    private static enum DBSCANClusterer.PointStatus
    extends Enum<DBSCANClusterer.PointStatus>

Status of a point during the clustering process.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NOISE` The point has is considered to be noise.
`PART_OF_CLUSTER` The point is already part of a cluster.

### Method Summary

Methods
`static DBSCANClusterer.PointStatus` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DBSCANClusterer.PointStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NOISE

    public static final DBSCANClusterer.PointStatus NOISE

The point has is considered to be noise.

#### PART_OF_CLUSTER

    public static final DBSCANClusterer.PointStatus PART_OF_CLUSTER

The point is already part of a cluster.

### Method Detail

#### values

    public static DBSCANClusterer.PointStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DBSCANClusterer.PointStatus c : DBSCANClusterer.PointStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DBSCANClusterer.PointStatus valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null